cascading.util

## Class NullNotEquivalentComparator

- java.lang.Object
- - cascading.util.NullNotEquivalentComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<java.lang.Comparable>

    public class NullNotEquivalentComparator
    extends java.lang.Object
    implements java.util.Comparator<java.lang.Comparable>, java.io.Serializable

Class NullNotEquivalentComparator simply returns -1 if the lhs is null, 1 if the rhs is null, or the result of `lhs.compareTo(rhs)`.

Use this `Comparator` when performing a `CoGroup` that needs SQL like semantics.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NullNotEquivalentComparator()`

### Method Summary

Methods
`int` `compare(java.lang.Comparable lhs, java.lang.Comparable rhs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### NullNotEquivalentComparator

    public NullNotEquivalentComparator()

### Method Detail

#### compare

    public int compare(java.lang.Comparable lhs,
              java.lang.Comparable rhs)

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.Comparable>`